<?php
/*
Plugin Name: Easy Currency Converter
Plugin URI: https://easycurrencyconverter.net
Description: Plugin for currency convertion
Author URI: https://easycurrencyconverter.net
Tested up to: 5.2.2
License: http://www.gnu.org/licenses/gpl-2.0.html
Author: Easy Currency Converter
Version: 1.4
*/


function ecc_wp_data_add(){
    $data = $_POST['data'];
    $key = $_POST['key'];
    if(get_option( 'ecc_data_' . $key )){
        update_option( 'ecc_data_' . $key , wp_json_encode($data) );
    }else{
        add_option( 'ecc_data_' . $key , wp_json_encode($data) );
    }
    echo 'added' . $data;
    wp_die();
}

add_action( 'wp_ajax_ecc_wp_data_add', 'ecc_wp_data_add' );
add_action( 'wp_ajax_nopriv_ecc_wp_data_add', 'ecc_wp_data_add' );

function ecc_wp_data_get(){
    $key = $_POST['key'];
    $data = get_option( 'ecc_data_' . $key );
    $now = new DateTime();
    $now = $now->getTimestamp() * 1000;

    if( $data ){
        $formatted_data = json_decode($data);
        if($now - $formatted_data->ts < 86400000) { //86400000 is 24h
            echo _wp_json_convert_string( $data );
        }
    }
    wp_die();
}

add_action( 'wp_ajax_ecc_wp_data_get', 'ecc_wp_data_get' );
add_action( 'wp_ajax_nopriv_ecc_wp_data_get', 'ecc_wp_data_get' );
