import Vue from 'vue'
import App from './App.vue'
import VueResource from 'vue-resource'
import BootstrapVue from 'bootstrap-vue'

Vue.use(BootstrapVue);
Vue.use(VueResource);

Vue.config.productionTip = true;

var  elements  =  document.querySelectorAll('[data-ecc-atts]');
var  vm = null;

elements.forEach( function( element ) {
    var atts = JSON.parse( element.getAttribute('data-ecc-atts') );
    if(!vm){
        var vm = new Vue({
            render: h => h(
                App,
                {
                    props: {
                        atts: atts,
                    }
                }
            )
        } )
    }
    vm.$mount(element);

});



