<?php
//***********************//
// VISUAL COMPOSER SETUP //
//***********************//

// After VC Init
add_action( 'vc_after_init', 'ecc_vc_after_init_actions' );

function ecc_vc_after_init_actions() {


    //**********************//
    // Include new Elements //
    //**********************//

    require_once( ECC_DIR.'vc/ecc-converter.php' );

}

//***********************//
// LAYOUT DWORPDOWN DATA //
//***********************//

// Layouts Data
function ecc_vc_converters_dropdown_data() {

    $data = array();

    $converters = get_posts(
        array(
            'post_type' => 'ecc-converters',
        )
    );

    if ( is_array( $converters ) && ! empty( $converters ) ) {

        foreach ( $converters as $c ) {
            $data[$c->post_title] = $c->ID;
        }

    }

    return $data;

}